# $Revision: 1.12 $, $Date: 2012/03/29 18:27:00 $
# TODO
# - build from source (get-source.sh fetches it)

%include	/usr/lib/rpm/macros.java
Summary:	Closure Compiler - JavaScript compressor
Name:		closure-compiler
Version:	20120305
Release:	1
License:	Apache v2.0
Group:		Applications/WWW
# Source0Download: https://code.google.com/p/closure-compiler/downloads/list
Source0:	http://closure-compiler.googlecode.com/files/compiler-%{version}.tar.gz
# Source0-md5:	513344df6f18bfa00b17f034cabf897d
Source1:	%{name}.sh
Source2:	get-source.sh
Source3:	gen-changes.sh
Source4:	Changes
URL:		http://closure-compiler.appspot.com/
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.300
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Closure Compiler is a tool for making JavaScript download and run
faster. It is a true compiler for JavaScript. Instead of compiling
from a source language to machine code, it compiles from JavaScript to
better JavaScript. It parses your JavaScript, analyzes it, removes
dead code and rewrites and minimizes what's left. It also checks
syntax, variable references, and types, and warns about common
JavaScript pitfalls.

%prep
%setup -qc
cp -p %{SOURCE4} .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_javadir}}
install -p %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/%{name}

# jars
cp -p compiler.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README Changes
%attr(755,root,root) %{_bindir}/%{name}
%{_javadir}/*.jar

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: closure-compiler.spec,v $
Revision 1.12  2012/03/29 18:27:00  glen
- up to 20120305

Revision 1.11  2012/02/29 05:31:46  glen
- track gen-changes.sh script

Revision 1.10  2012/02/29 05:30:51  glen
- up to 20120123, r1741

Revision 1.9  2012/01/11 17:36:52  glen
- up to 20111114
  "true -> !0" packing is back. see r1431 and r1559

Revision 1.8  2011/10/25 08:07:19  glen
- up to 20111003

Revision 1.7  2011/08/25 14:29:37  glen
- add script to build source package

Revision 1.6  2011/08/25 14:02:19  glen
- up to 20110811

Revision 1.5  2011/08/25 13:55:12  arekm
- up to 20110804

Revision 1.4  2011/07/25 11:04:15  glen
- up to 20110615

Revision 1.3  2011/03/03 20:17:00  glen
- up to 20110119

Revision 1.2  2011/03/03 20:14:58  glen
- keep startup wrapper in separate source control

Revision 1.1  2010/03/16 13:56:10  glen
- new
